Subject: Re: Simple question about powerpc kernel source.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 20 Jul 2009 20:02:38 +1000

On Mon, 2009-07-20 at 18:00 +0900, HongWoo Lee wrote:
> Hi all,
> 
> I have something to ask for the ppc kernel source.
> 
> #define LOADADDR(rn,name)           \
>     lis     rn,name##@highest;      \
>     ori     rn,rn,name##@higher;    \
>     rldicr  rn,rn,32,31;            \
>     oris    rn,rn,name##@h;         \
>     ori     rn,rn,name##@l
> 
> Is ## used for concatenation. I'm not sure because it is just meaningless.
> If so what on earth is the result of concatenating ?
> 
> And is there a good reference to understand powerpc asm ?
> I'm reading Power ISA, but I can't find @highest, @higher and ##.
> It would be good to know the reference book.

You already asked pretty much the same question with the subject "Simple
question about powerpc asm" and it was already replied to.

Cheers,
Ben.